Summary: Unique TOKens
Name: utok
Version: 1.5
Release: 1
Copyright: GPL
Group: Utilities/System
Source: utok.tar.gz
URL: http://www.catch22.com/~sven/software/
BuildRoot: /tmp/utok-root

%description
utok, Unique TOKens, takes a list of arguments with delimiters and
reject all duplicate entries. Here is a example using MANPATH:

  $ echo $MANPATH
  /usr/man:/usr/local/man
  $ MANPATH=`utok $HOME/local/man /usr/local/man $MANPATH /usr/openwin/man`
  $ export MANPATH
  $ echo $MANPATH
  /home/sven/local/man:/usr/local/man:/usr/man:/usr/openwin/man

Even though /usr/local/man was included a second time it is only in
the MANPATH once, though it is now before the /usr/man entry instead
of after it.

%prep
%setup

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 utok $RPM_BUILD_ROOT/usr/bin/utok

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc docs/* README.txt
/usr/bin/utok
